Summary: Portable Windows Libary
Name: pwlib
Version: 1.2.12
Release: 3
URL: http://www.openh323.org/
Source0: pwlib_%{version}.tar.gz
License: MPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Patch0:		pwlib-1.1.36-makefiles.patch
Patch1:		pwlib-asnparser.patch
Patch2:		pwlib-alpha.patch
Patch3:		pwlib-1.2.12-make_j.patch
Patch4:		pwlib-1.2.12-stdio.patch
Patch5:         pwlib_video_patch.diff


%description
PWLib is a moderately large class library that has its genesis many
years ago as a method to produce applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventuated. This version does not contain
any UI code.

It is supplied mainly to support the open H323 project, but that shouldn't stop
you from using it in whatever project you have in mind if you so desire. 

%package devel
Summary: Development package for pwlib
Group: Development/Libraries
Requires: pwlib = %{PACKAGE_VERSION}
%description devel
The pwlib-devel package includes the libraries and header files for pwlib.

%prep
%setup -q -n pwlib
%patch0 -p1 -b .makefiles
%patch1 -p1 -b .asnparser
%patch2 -p1 -b .alpha
%patch3 -p1 -b .make_j
%patch4 -p1 -b .stdio
%patch5 -p1 -b .video

%build
export PWLIBDIR=%{_builddir}/pwlib
export PWLIB_BUILD="yes"
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

cd tools/asnparser
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/ptclib
mkdir -p $RPM_BUILD_ROOT/usr/include/ptlib/unix/ptlib
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}/make
cp -d lib/*so* $RPM_BUILD_ROOT/usr/lib
install include/ptlib.h $RPM_BUILD_ROOT/usr/include
install include/ptlib/*.h $RPM_BUILD_ROOT/usr/include/ptlib/
install include/ptlib/*.inl $RPM_BUILD_ROOT/usr/include/ptlib/
install include/ptlib/unix/ptlib/*.h $RPM_BUILD_ROOT/usr/include/ptlib/unix/ptlib
install include/ptlib/unix/ptlib/*.inl $RPM_BUILD_ROOT/usr/include/ptlib/unix/ptlib
install include/ptclib/*.h $RPM_BUILD_ROOT/usr/include/ptclib/
install tools/asnparser/obj_linux_*/asnparser $RPM_BUILD_ROOT/usr/bin

cd make
for l in *.mak ; do
	sed -e 's#@prefix@#%{_prefix}#' \
	    -e 's#@makdir@#%{_datadir}/pwlib#' \
		< $l > $RPM_BUILD_ROOT%{_datadir}/%{name}/make/$l
done

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc History.txt Readme.txt mpl-1.0.htm
%defattr(-,root,root)
%{_libdir}/libpt*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libpt*.so
%{_includedir}/*
%{_datadir}/pwlib
%attr(755,root,root) %{_bindir}/*

%changelog
* Fri Mar 22 2002 Alex Larsson <alexl@redhat.com>
- Added versioned dependency in the devel package
- Fixed line-to-long error in description

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com>
- Add the video patch from damien needed for GM 0.85.1

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.2.12

* Thu Nov 29 2001 Alex Larsson <alexl@redhat.com> 1.2.5-1
- Updated to 1.2.5

* Mon Oct 01 2001 Alex Larsson <alexl@redhat.com> 1.1.36-4
- Added defattr

* Wed Sep 28 2001 Alex Larsson <alexl@redhat.com> 1.1.36-3
- made the devel package require the binary package

* Wed Sep 19 2001 Alex Larsson <alexl@redhat.com> 1.1.36-2
- Added new patch from damien

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.1.36-1
- Upgraded to 1.1.36

* Wed Jul  4 2001 Elliot Lee <sopwith@redhat.com>
- Patch asnparser makefile so 'make -j...' works completely.

* Wed Jul  4 2001 Alexander Larsson <alexl@redhat.com>
- Borrow some stuff from the Mandrake specfile

* Wed Jul  4 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
